interactions:
- request:
    body: '{"input":[{"role":"user","content":"Say hello in one sentence."}],"model":"gpt-5.2-chat"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '89'
      content-type:
      - application/json
      host:
      - kkarmakar-ai-eus2.openai.azure.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - async:asyncio
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 2.32.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.12
    method: POST
    uri: https://fake-azure-endpoint.openai.azure.com/openai/v1/responses
  response:
    body:
      string: "{\n  \"id\": \"resp_02861ec017218a520069f23d21dbf88193aa91a73d63d91302\",\n
        \ \"object\": \"response\",\n  \"created_at\": 1777483041,\n  \"status\":
        \"completed\",\n  \"background\": false,\n  \"completed_at\": 1777483043,\n
        \ \"content_filters\": [\n    {\n      \"blocked\": false,\n      \"source_type\":
        \"prompt\",\n      \"content_filter_raw\": [],\n      \"content_filter_results\":
        {\n        \"jailbreak\": {\n          \"detected\": false,\n          \"filtered\":
        false\n        }\n      },\n      \"content_filter_offsets\": {\n        \"start_offset\":
        0,\n        \"end_offset\": 368,\n        \"check_offset\": 0\n      }\n    },\n
        \   {\n      \"blocked\": false,\n      \"source_type\": \"completion\",\n
        \     \"content_filter_raw\": [],\n      \"content_filter_results\": {\n        \"protected_material_text\":
        {\n          \"detected\": false,\n          \"filtered\": false\n        },\n
        \       \"protected_material_code\": {\n          \"detected\": false,\n          \"filtered\":
        false\n        },\n        \"hate\": {\n          \"filtered\": false,\n          \"severity\":
        \"safe\"\n        },\n        \"sexual\": {\n          \"filtered\": false,\n
        \         \"severity\": \"safe\"\n        },\n        \"violence\": {\n          \"filtered\":
        false,\n          \"severity\": \"safe\"\n        },\n        \"self_harm\":
        {\n          \"filtered\": false,\n          \"severity\": \"safe\"\n        }\n
        \     },\n      \"content_filter_offsets\": {\n        \"start_offset\": 0,\n
        \       \"end_offset\": 44,\n        \"check_offset\": 0\n      }\n    }\n
        \ ],\n  \"error\": null,\n  \"frequency_penalty\": 0.0,\n  \"incomplete_details\":
        null,\n  \"instructions\": null,\n  \"max_output_tokens\": null,\n  \"max_tool_calls\":
        null,\n  \"model\": \"gpt-5.2-chat\",\n  \"output\": [\n    {\n      \"id\":
        \"rs_02861ec017218a520069f23d2287ac819399dd23b8dd56028e\",\n      \"type\":
        \"reasoning\",\n      \"summary\": []\n    },\n    {\n      \"id\": \"msg_02861ec017218a520069f23d23082c81939838ab2eebf4e89c\",\n
        \     \"type\": \"message\",\n      \"status\": \"completed\",\n      \"content\":
        [\n        {\n          \"type\": \"output_text\",\n          \"annotations\":
        [],\n          \"logprobs\": [],\n          \"text\": \"Hello! \\ud83d\\udc4b\"\n
        \       }\n      ],\n      \"role\": \"assistant\"\n    }\n  ],\n  \"parallel_tool_calls\":
        true,\n  \"presence_penalty\": 0.0,\n  \"previous_response_id\": null,\n  \"prompt_cache_key\":
        null,\n  \"prompt_cache_retention\": null,\n  \"reasoning\": {\n    \"effort\":
        \"medium\",\n    \"summary\": null\n  },\n  \"safety_identifier\": null,\n
        \ \"service_tier\": \"default\",\n  \"store\": true,\n  \"temperature\": 1.0,\n
        \ \"text\": {\n    \"format\": {\n      \"type\": \"text\"\n    },\n    \"verbosity\":
        \"medium\"\n  },\n  \"tool_choice\": \"auto\",\n  \"tools\": [],\n  \"top_logprobs\":
        0,\n  \"top_p\": 0.85,\n  \"truncation\": \"disabled\",\n  \"usage\": {\n
        \   \"input_tokens\": 12,\n    \"input_tokens_details\": {\n      \"cached_tokens\":
        0\n    },\n    \"output_tokens\": 21,\n    \"output_tokens_details\": {\n
        \     \"reasoning_tokens\": 0\n    },\n    \"total_tokens\": 33\n  },\n  \"user\":
        null,\n  \"metadata\": {}\n}"
    headers:
      Content-Length:
      - '2844'
      Content-Type:
      - application/json
      Date:
      - Wed, 29 Apr 2026 17:17:25 GMT
      Strict-Transport-Security:
      - STS-XXX
      apim-request-id:
      - APIM-REQUEST-ID-XXX
      skip-error-remapping:
      - 'true'
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
      x-ms-is-spilled-over:
      - 'false'
      x-ms-region:
      - X-MS-REGION-XXX
      x-ratelimit-abusepenalty-active:
      - 'False'
      x-ratelimit-key:
      - gpt-5.2-chat
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-renewalperiod-requests:
      - '60'
      x-ratelimit-renewalperiod-tokens:
      - '60'
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
